%define module	Text-Autoformat
%define version	1.13
%define release	%mkrel 6

Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	Artistic
Group:		Text tools
URL:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Text
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Text/%{module}-%{version}.tar.bz2
Source1:	dot-vimrc.bz2
Source2:	dot-emacs.bz2
BuildRequires:	perl-devel perl-Text-Reform
Requires:       perl-Text-Reform
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

%description
Text::Autoformat  provides  intelligent  formatting   of   plaintext
without the need for  any  kind  of  embedded  mark-up.  The  module
recognizes Internet quoting conventions, a wide range  of  bulleting
and  number  schemes,  centred  text,  and  block  quotations,   and
reformats each appropriately. Other options allow the user to adjust
inter-word and inter-paragraph spacing,  justify  text,  and  impose
various capitalization schemes.

The  module  also  supplies  a   re-entrant,   highly   configurable
replacement for the built-in Perl format() mechanism.

%prep
%setup -q -n %{module}-%{version}
bzcat %{SOURCE1} > dot-vimrc
bzcat %{SOURCE2} > dot-emacs

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
install -d $RPM_BUILD_ROOT/$installarchlib

#{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install
%makeinstall_std

install -d $RPM_BUILD_ROOT/%{_datadir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes dot-vimrc dot-emacs
%{perl_vendorlib}/Text/*
%{_mandir}/*/*


%changelog
* Tue Jan 22 2008 Jérôme Quelin <jquelin@mandriva.org> 1.13-6mdv2008.1
+ Revision: 156507
- force 5.10.0 rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.13-5mdv2008.0
+ Revision: 67533
- rebuild

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.13-4mdv2008.0
+ Revision: 23308
- rebuild

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.13-3mdv2008.0
+ Revision: 23306
- rebuild


* Mon Feb 27 2006 Stefan van der Eijk <stefan@eijk.nu> 1.13-2mdk
- use %%makeinstall_std

* Fri May 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.13-1mdk
- 1.13
- Make rpmbuildable

* Tue Jul 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.12-2mdk
- rebuild

* Sat Jun 14 2003 Han Boetes <han@linux-mandrake.com> 1.12-1mdk
- Bump

* Thu May 15 2003 Han Boetes <han@linux-mandrake.com> 1.11-1mdk
- Bump

* Fri Apr 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.04-9mdk
- fixed buildrequires (Stefan van der Eijk <stefan@eijk.nu>)

